<template>
    <section class="content" style="margin-bottom:20px" v-cloak>
            <page-header :title="'Location : #'+entity.numero">
            <div slot="nav">
                <ol class="breadcrumb float-sm-right">
                       <li class="breadcrumb-item">
                           <router-link to="/locations" class="">Locations</router-link >
                        </li>
                       <li class="breadcrumb-item active">Détails</li>
                </ol>
            </div>
            </page-header>
    <!-- Default box -->
    <div class="card">
        <div class="card-header">
            <h3 class="card-title d-flex">
                     <span class="mr-2"> 
                          <b>Déroulement :</b>
                      <span v-if="entity.en_cours=='En cours'"  :class="['badge badge-primary text-uppercase bg-blue']"  v-text="entity.en_cours"> </span> 
                      <span v-else-if="entity.en_cours=='En attente'"  :class="['badge badge-warning text-uppercase']"  v-text="entity.en_cours"> </span> 
                      <span v-else :class="['badge badge-secondary text-uppercase']"  v-text="entity.en_cours"> </span> 
                      </span> 
                     <span class="ml-2 mr-2"> 
                      <b>Payement :</b>
                      <span v-if="entity.statut_payement.nature =='payé' || paid"  :class="['badge badge-primary text-uppercase bg-blue']" > Payé </span> 
                      <span v-else-if="entity.statut_payement.nature=='avance'"  :class="['badge badge-warning text-uppercase']" > Avance </span> 
                      <span v-else :class="['badge badge-secondary text-uppercase']" >Reservé </span> 
                      </span> 
             </h3>

            <div class="card-tools">
    
                <div class="dropdown">
                    <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="fas fa-plus-circle mr-3"></i> Actions
                    </button>
                    <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                          <router-link v-if="entity.waiting" :to="'/locations/'+entity.id+'/modification'" class="dropdown-item" href="#"><i class="fas fa-edit mr-2"></i>Modifier</router-link>
                          <a v-else class="dropdown-item" href="#" @click.prevent="showMessage('La location est déjà  en cours . Elle ne peut plus être modifée')"><i class="fas fa-edit mr-2"></i>Modifier</a>

                          <div class="dropdown-divider"></div>
                          <a class="dropdown-item" href="#" @click.prevent="addEntry"><i class="fas fa-piggy-bank mr-2"></i>Faire une avance</a>
                          <a class="dropdown-item" href="#" @click.prevent="prolongerEvent"><i class="fas fa-retweet mr-2"></i>Prolonger</a>
                    </div>
                    </div>
            </div>
        </div>
        <div class="card-body">
            <div class="kt-widget kt-widget--user-profile-3">
                <div class="kt-widget__top">
                    <div class="kt-widget__media kt-hidden-">
                          <img style="    border: #343a4069 2px solid;" :src="image!=null ? image : '/img/show_detail.jpg'" alt="image ">
                    </div>
                    <div class="kt-widget__content ">
                        <div class="kt-widget__head ">
                            <span class="kt-widget__title " > <i class="las la-user" style="color: #a2a5b9;"></i>  {{ entity.client ? entity.client.nomComplet : ''}}</span>
                        </div>
                        <div class="kt-widget__info ">
                            <div class="kt-widget__desc ">
                                <span href="# " class="kt-widget__title title-custom" ><i class="las la-car" style="color: #a2a5b9;"></i>  {{  entity.vehicule!=undefined ? entity.vehicule.libelle : ''}}</span>
                            </div>
                            <div class="kt-widget__stats d-flex align-items-center flex-fill ">
                                <div class="kt-widget__item ">
                                    <span class="kt-widget__date ">
                                            <i class="fas fa-hourglass-start mr-2" style=""></i>   Date de début de la location
                                            </span>
                                    <div class="kt-widget__label ">
                                        <span class="btn btn-label-brand btn-sm btn-bold btn-upper ">{{ entity.date_dbt | toDateTime}}</span>
                                    </div>
                                </div>

                                <div class="kt-widget__item ">
                                    <span class="kt-widget__date ">
                                            <i class="fas fa-hourglass-end mr-2" style=""></i>  Date de fin de la location
                                            </span>
                                    <div class="kt-widget__label ">
                                        <span class="btn btn-label-danger btn-sm btn-bold btn-upper ">{{ entity.date_fin_prev | toDateTime}}</span>
                                    </div>
                                </div>

                                <div class="kt-widget__item flex-fill ">
                                    <span class="kt-widget__subtitel ">
                                        <template v-if="dateEnAttente">
                                            Progression ( <strong> 0 </strong> jour / {{entity.nbr_jour}} ->  <strong>En attente</strong>)
                                        </template>
                                        <template v-else-if="dateDepassee_">
                                            Progression ( <strong> {{ entity.nbr_jour-joursRestant}} </strong> jours / {{entity.nbr_jour}} ->  <strong>Completée</strong>)
                                        </template>
                                        <template v-else>
                                            Progression ( <strong> {{ entity.nbr_jour-joursRestant}} jours </strong> restants  / {{entity.nbr_jour}} ->  <strong>En cours</strong> )
                                        </template>
                                    </span>
                                    <div class="kt-widget__progress d-flex align-items-center ">
                                        <div class="progress " style="height: 5px;width: 100%; ">
                                            <div class="progress-bar kt-bg-success " role="progressbar " :style="{ width: progression + '%' }" aria-valuenow="100 " aria-valuemin="0 " aria-valuemax="100 "></div>
                                        </div>
                                        <span class="kt-widget__stat ">
                                                    {{progression}}%
                                                </span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="kt-widget__bottom justify-content-center">
                    <div class="kt-widget__item justify-content-lg-center">
                        <div class="kt-widget__icon ">
                            <span><i class="las la-piggy-bank"></i></span>
                        </div>
                        <div class="kt-widget__details ">
                            <span class="kt-widget__title ">Montant TTC</span>
                            <span class="kt-widget__value ">{{ entity.montant | monnaie}} <span>F CFA</span></span>
                        </div>
                    </div>
                    <div class="kt-widget__item justify-content-lg-center">
                        <div class="kt-widget__icon ">
                            <i class="las la-money-check"></i>
                        </div>
                        <div class="kt-widget__details ">
                            <span class="kt-widget__title ">Reste à Payer</span>
                            <span class="kt-widget__value ">{{ reste | monnaie}}<span> F CFA</span></span>
                        </div>
                    </div>
                    <div class="kt-widget__item justify-content-lg-center" v-if="!paid">
                        <div class="kt-widget__icon ">
                            <i class="las la-money-bill"></i>
                        </div>
                        <div class="kt-widget__details ">
                            <span class="kt-widget__title ">Avance</span>
                            <span class="kt-widget__value ">{{ avance | monnaie}}<span> F CFA</span></span>
                        </div>
                    </div>
                    <div class="kt-widget__item ">
                        <div class="kt-widget__icon ">
                            <i class="las la-calendar-check"></i>
                        </div>
                        <div class="kt-widget__details ">
                            <span class="kt-widget__title ">Durée</span>
                            <span class="kt-widget__value">{{ entity.nbr_jour}} {{ entity.nbr_jour> 1 ? "jours" : "jour"}}</span>
                        </div>
                    </div>
              </div>
            </div>
        </div>
        <!-- /.card-body -->
    </div>
    <div class="col-md-12">
    <ul class="nav nav-tabs " id="custom-content-below-tab" role="tablist">
              <li class="nav-item">
                <a class="nav-link active" id="custom-content-below-home-tab" data-toggle="pill" href="#custom-content-below-home" role="tab" aria-controls="custom-content-below-home" aria-selected="true">Détails</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" id="custom-content-below-profile-tab" data-toggle="pill" href="#custom-content-below-profile" role="tab" aria-controls="custom-content-below-profile" aria-selected="false">Flux financiers</a>
              </li> 
     </ul>
     <div class="tab-content" id="custom-content-below-tabContent">
    <div class="tab-pane fade active show bg-white" id="custom-content-below-home" role="tabpanel" aria-labelledby="custom-content-below-home-tab">
             <div class="ge-details just  kt-wizard-v3__content p-4" data-ktwizard-type="step-content" data-ktwizard-state="current">
						<div class="kt-heading kt-heading--md"></div>
						<div class="kt-form__section kt-form__section--first">
							<div class="kt-wizard-v3__review">
								<div class="kt-wizard-v3__review-item">
									<div class="kt-wizard-v3__review-title">
										Détails supplémentaires
									</div>
									<div class="kt-wizard-v3__review-content">
										<span class="d-flex justify-content-start"><span class="icon-details"><i class="las la-money-bill mr-1"></i></span><span class="nominatif-details text-bold">Tarif par  jour     </span><span class="data-details ml-2 ">{{entity.tarif | monnaie}}  F cfa</span></span> 
										<span class="d-flex justify-content-start"><span class="icon-details"><i class="las la-percentage mr-1"></i></span><span class="nominatif-details text-bold">Frais de livraison </span> <span class="data-details ml-2">{{entity.frais | monnaie}} F cfa</span> </span>
										<span class="d-flex justify-content-start"><span class="icon-details"><i class="las la-phone-square-alt mr-1"></i></span><span> <span class="nominatif-details text-bold">Lavage Carburant</span> <span class="data-details ml-2 ">{{ entity.lavage_carburant | monnaie}} F cfa </span> </span></span>
                                        <span class="d-flex justify-content-start"><span class="icon-details"><i class="las la-gas-pump  mr-1"></i></span><span> <span class="nominatif-details text-bold">Niveau de Carburant</span> <span class="data-details ml-2 ">{{ entity.niveau_carburant}} </span> </span></span> 
 
									</div>
								</div>
								<div class="kt-wizard-v3__review-item">
									<div class="kt-wizard-v3__review-title">
										Détails sur le client
									</div>
									<div class="kt-wizard-v3__review-content">
										<span class="d-flex justify-content-start"><span class="icon-details"><i class="lar la-id-card mr-1"></i></span><span class="nominatif-details text-bold">Identité     </span><span class="data-details ml-2 ">{{ entity.client ? entity.client.nom : ''}}  {{entity.client ? entity.client.prenom : ''}}</span></span> 
										<span class="d-flex justify-content-start"><span class="icon-details"><i class="las la-map-marker mr-1"></i></span><span class="nominatif-details text-bold">Adressse  </span> <span class="data-details ml-2">{{entity.client ? entity.client.adresse : ''}} </span> </span>
										<span class="d-flex justify-content-start"><span class="icon-details"><i class="las la-phone-square-alt mr-1"></i></span><span> <span class="nominatif-details text-bold"> Contact  </span> <span class="data-details ml-2 ">{{entity.client ? entity.client.telephone1 : ''}} </span> </span></span> 

                                    </div>
								</div>
                                <div class="kt-wizard-v3__review-item">
									<div class="kt-wizard-v3__review-title">
										Détails sur la voiture
									</div>
									<div class="kt-wizard-v3__review-content">
                                        <span class="d-flex justify-content-start"><span class="icon-details"><i class="lar la-caret-square-right mr-1"></i></span><span class="nominatif-details text-bold">Designation    </span><span class="data-details ml-2 ">{{ entity.vehicule ? entity.vehicule.libelle : ''}}</span></span> 
										<span class="d-flex justify-content-start"><span class="icon-details"><i class="lar la-caret-square-right mr-1"></i></span><span class="nominatif-details text-bold">Marque    </span><span class="data-details ml-2 ">{{ entity.vehicule.marque ? entity.vehicule.marque.libelle : ''}}  {{entity.client ? entity.client.prenom : ''}}</span></span> 
										<span class="d-flex justify-content-start"><span class="icon-details"><i class="lar la-caret-square-right mr-1"></i></span><span class="nominatif-details text-bold">Immatriculation  </span> <span class="data-details ml-2">{{entity.vehicule.plaque_immatriculation}} </span> </span>

                                    </div>
								</div>
                                <div class="kt-wizard-v3__review-item">
									<div class="kt-wizard-v3__review-title">
										Détails sur le chauffeur
									</div>
									<div class="kt-wizard-v3__review-content">
                                        <template v-if="!hasChauffeur">
										<span class="d-flex justify-content-start"><span class="icon-details"><i class="lar la-id-card mr-1"></i></span><span class="nominatif-details text-bold">Chauffeur 1   </span><span class="data-details ml-2 ">{{ entity.nom_chauffeur!=null ? entity.nom_chauffeur : "Non précisé"}}</span></span> 
										<span class="d-flex justify-content-start"><span class="icon-details"><i class="las la-id-card mr-1"></i></span><span class="nominatif-details text-bold">Chauffeur 2  </span> <span class="data-details ml-2">{{ entity.nom_chauffeur_2!=null ? entity.nom_chauffeur_2 : "Non précisé"}} </span> </span>
		                                </template>
                                        <template v-else>
                                            <span class="d-flex justify-content-start"><span class="icon-details"><i class="la la-braille mr-1"></i></span><span class="nominatif-details text-bold">Nom du Chauffeur    </span><span class="data-details ml-2 ">{{ entity.chauffeur.nom}}</span></span> 
										<span class="d-flex justify-content-start"><span class="icon-details"><i class="las la-braille mr-1"></i></span><span class="nominatif-details text-bold">Prénom du Chauffeur  </span> <span class="data-details ml-2">{{ entity.chauffeur.prenom}} </span> </span>
                                        <span class="d-flex justify-content-start"><span class="icon-details"><i class="las la-id-card-alt mr-1"></i></span><span class="nominatif-details text-bold">N° permis de conduire  </span> <span class="data-details ml-2">{{ entity.chauffeur.nr_permis_conduire ? entity.chauffeur.nr_permis_conduire : "Non précisé" }} </span> </span>
                                        <span class="d-flex justify-content-start"><span class="icon-details"><i class="las la-envelope mr-1"></i></span><span class="nominatif-details text-bold">E-mail du Chauffeur  </span> <span class="data-details ml-2">{{ entity.chauffeur.email ? entity.chauffeur.email : "Non précisé" }} </span> </span>
                                        <span class="d-flex justify-content-start"><span class="icon-details"><i class="las la-phone-square-alt mr-1"></i></span><span class="nominatif-details text-bold">Téléphone du Chauffeur  </span> <span class="data-details ml-2">{{ entity.chauffeur.telephone1 ? entity.chauffeur.telephone1 : "Non précisé"}} </span> </span>
                                        </template>
                                    </div>
								</div>
								<div class="kt-wizard-v3__review-item">
									<div class="kt-wizard-v3__review-title">
										Autres
									</div>
									<div class="kt-wizard-v3__review-content">
										<span class="d-flex justify-content-start"><span class="icon-details"></span><span class="nominatif-details text-bold">Location prolongée     </span><span class="data-details ml-2 "> Non </span></span> 
                                        <span class="d-flex justify-content-start"><span class="icon-details"></span><span class="nominatif-details text-bold">Longue du durée        </span><span class="data-details ml-2 ">{{entity.longue_duree ==0 ? "Non" : "Oui" }}</span></span> 
                                        <span class="d-flex justify-content-start"><span class="icon-details"></span><span class="nominatif-details text-bold">Avec Chauffeur         </span><span class="data-details ml-2 ">{{entity.avec_chauffeur ==0 ? "Non" : "Oui" }}  F cfa</span></span> 
									</div>
								</div>
							</div>
						</div>
         </div>
    </div>
    <div class="tab-pane fade " id="custom-content-below-profile" role="tabpanel" aria-labelledby="custom-content-below-profile-tab">
                    <div :key="key" v-for="(finance,key) in entity.fluxfinances" id="" class="card mt-3">
                        <div class="card-header pl-0">
                            <h3 class="card-title ">
                                <button type="button"  class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-plus"></i>
                                </button>
                                 <span> Avance sur paiement de <b> {{finance.montant | monnaie }} </b> F cfa à la date du <b>{{ finance.date_transaction | toDate }}</b></span>
                                 </h3>

                            <div class="card-tools">
                                <button class="btn btn-xs btn-secondary" @click.prevent="updateEntry(finance)" >Modifier</button>
                                <button class="btn btn-xs btn-danger"  @click.prevent="remove(finance)"><i class="fas fa-trash"></i></button>

                            </div>
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body p-0" style="display: none;">
                            <table class="table table-sm">
                                <tbody>
                                <tr>
                                    <td class="text-bold">Description</td>
                                    <td>{{ finance.flux }}</td>
                                </tr>
                                <tr>
                                    <td class="text-bold">Montant</td>
                                    <td>{{ finance.montant | monnaie }} F cfa </td>
                                </tr>
                                <tr>
                                    <td class="text-bold">Date</td>
                                    <td>{{ finance.created_at | toDateTime }}  </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
    </div>
    </div>
    <!-- Modal dbt -->
    <b-modal ref="inputModalAvance" id="my-modal" :title="editEntry ? 'Modification d\'une avance':'Ajout d\'une avance'"  :hide-footer="true">
    <form class="" method="POST"  @submit.prevent="onSubmit()"
                    @reset.prevent="reset()" 
                    @keydown="form.errors.clear($event.target.name)" 
                    @change="form.errors.clear($event.target.name)">
            <div class="form-group ">
                <label class="">Date de versement</label>
                <vc-date-picker @input="datepickerEvent($event,'date_transaction')" is-expanded  single-date-="single" name="date_transaction" :class="['', form.errors.has('date_transaction')? ' is-invalid' : '']" v-model="date_transaction" type="text"></vc-date-picker>
                <span class="m-form__help m--font-danger"  v-if="form.errors.has('date_transaction')" v-text="form.errors.get('date_transaction')"></span>
            </div>
            <div class="form-group ">
                <label class="">Montant</label>
                <input placeholder="Entrez le montant de l'avance" :class="['form-control form-control-sm', form.errors.has('montant')? ' is-invalid' : '']" name="montant" v-model="form.montant" type="text"/>
                <span class="m-form__help m--font-danger"  v-if="form.errors.has('montant')" v-text="form.errors.get('montant')"></span>
            </div>
            <div class="form-group ">
                <label class="">Reste à payer</label>
                <input disabled :class="['form-control form-control-sm']"  :value="reste|monnaie" type="text"/>
            </div>
            <div class="m-form__actions m-form__actions--solid" style="    display: flex;align-items: center;justify-content: flex-end;">
                <button type="submit" :class="['btn btn-success btn-small mr-2',isLoading ? 'm-loader m-loader--sm m-loader--light m-loader--right' :'']" :disabled="form.errors.any() || isLoading">{{ isLoading ? "Processus en cours..." : (editEntry  ?'Modifier':"Ajouter") }}</button>
            </div>
    </form>
</b-modal>
<prolongement @prolongement-done="ok"></prolongement>

</div>
    <!-- /.card -->

</section>
</template>
<script>

   import Form from "./../../classes/Form"
   import Master from "./../Master.vue";
   import Facture from "./../../components/Facture";

   import Prolongement from "./../../components/ProlongementLocation.vue";
 
    export default {
        components : {Facture,Prolongement},
        mixins: [Master],
        data()
          {
            return{ 
                roles:[],
                deleteConfirme:
                {
                  message:"Voulez-vous supprimer cette avance ?",
                  title:"Suppréssion d'une avance"
                },
                editEntry:false,
                isLoading:false,
                entity:{ client:{},vehicule:{},statut_payement:""},
                init:true,
                edit:false,
                entity:{},
                currentYear:2010,
                date_transaction:"",
                form : new Form(
                  {
                    montant:'',
                    ancien_montant:'',
                    location_id:'',
                    reste_a_payer:0,
                    id:'',
                    date_transaction:''
                })

         }
        },
        mounted()
        {
          this.currentYear = moment().format('YYYY')
        },
        created()
        {
  
               axios.get("/api/locations/"+this.$route.params.id).then((response) => 
                { 
                       this.entity = response.data
                       window.event.$emit("isLoading",false)
                       if(this.init==true)
                        {
                          this.init =false
                        }
                        if(this.pageInit==false)
                        {
                            this.pageInit =true
                        }
                       
                },
                (error) => {
                         console.log("Promise Rejected:")

                });

        },
        computed:
        {

             years () 
             {
                const year = new Date().getFullYear()
                return Array.from({length: 10}, (value, index) => (year) - index)
            },
            joursRestant()
            {
                 var jours = 0
                if(this.entity.date_fin_prev=="" || this.entity.date_fin_prev!=undefined || this.entity.date_fin_prev==null) return jours
                if(this.dateDepassee_ || this.dateEnAttente )
                {
                    jours = 0
                }
                else
                {
                    var end = moment(this.entity.date_fin_prev);
                    jours = this.entity.nbr_jour - end.diff(moment(), 'days')
                    console.log(this.entity.nbr_jour,jours)
                }
                return jours
            },
            
             dateDepassee_()
            {
                if(this.entity.date_fin_prev=="" || this.entity.date_fin_prev!=undefined || this.entity.date_fin_prev==null) return false
                 
                var now = moment();
                var end = moment(this.entity.date_fin_prev);
                return now.isAfter(end);
            },
            dateEnAttente()
            {
                if(this.entity.date_dbt=="" || this.entity.date_dbt!=undefined || this.entity.date_dbt==null) return false
                 
                var now = moment();
                var start = moment(this.entity.date_dbt);
                return now.isBefore(start);
            },
            enCours()
            {
             if(this.entity.date_dbt=="" || this.entity.date_dbt!=undefined || this.entity.date_dbt==null) return false
                 
                var now = moment();
                var start = moment(this.entity.date_dbt);
                return now.after(start) && this.dateDepassee_==false;
            },
            progression()
            {
                let percent  = 0
                 if(this.dateDepassee_ && this.joursRestant == 0)
                 {
                     percent = 100
                 }
              
                return percent
            }, 
            
            image()
            {
                 if(isDefined(this.entity.vehicule))
                 {
                     if(isDefined(this.entity.vehicule.path))
                     return this.entity.vehicule.path
                 }
                 else
                 return null
            }, 
             hasChauffeur()
            {
                 if(isDefined(this.entity.chauffeur))
                 {
                    return true
                 }
                 else
                 return false
            }, 
            reste()
            {
                 return this.entity.montant-this.avance                
            },
            paid()
            {
                 return  this.reste == 0               
            },
            avance()
            {
                if(isDefined(this.entity.fluxfinances))
                {
                    var r = 0
                    this.entity.fluxfinances.forEach(e => {
                          
                          r+=parseFloat(e.montant)
                    });
                    return r
                }
                else
                return 0
                
            }
        },
        methods:
        {
            ok()
            {

            },
             //Event sur le date picker
            datepickerEvent(event,name)
               {
                    if(name=="date_transaction")
                    {
                      
                        this.form.date_transaction = moment(event).format('YYYY-MM-DD')
                        this.form.checkError(name)

                    }
                },
               addEntry()
               {
                   this.editEntry = false
                   if(this.paid)
                   {
                    flash("<span>La somme due a déjà été payée</span>")
                    return
                   }
                   else
                   {
                      
                      this.form.montant =""
                      this.date_transaction = moment().toDate()
                      this.form.date_transaction=moment().format('YYYY-MM-DD')
                      this.form.errors.clearAll()
                      this.$refs['inputModalAvance'].show()
                   }

               },
                prolongerEvent()
                {
                 window.event.$emit('prolongement-event',this.entity)
                },
                updateEntry(e)
               {
                      this.editEntry = true
                      this.form.montant =e.montant
                      this.form.ancien_montant = e.montant
                      this.form.id=e.id
                      this.date_transaction = moment(e.date_transaction).toDate()
                      this.form.date_transaction=moment(e.date_transaction).format('YYYY-MM-DD')
                      this.form.location_id=this.entity.id
                      this.form.errors.clearAll()
                      this.$refs['inputModalAvance'].show()
                
               },
               showMessage(message)
               {
                       flash(message,'info')

               },
                           //Retire une marque de la BDD
             remove(e)
             { 
              //On demande la confirmation de la suppression
                alertConfirm(this.deleteConfirme.message,this.deleteConfirme.title)
                .then(result => {
                    //On réinitialise le chargement
                    this.isLoading = true
                    if(result)
                    {
                        axios.delete("/api/avances"+"/"+e.id).then((response) => 
                        { 
                          // on rafraichit la page de donnée actuelle
                          //on notifie l'effectivité de la suppréssion
                          
                          //On réinitialise le chargement
                            this.isLoading = false
                            this.entity.fluxfinances = this.entity.fluxfinances.filter( ex => ex.id!= e.id)
                            flash('Suppresion réussie')

                        },
                        (error) =>
                        {
                          this.isLoading = false
                        });
                    }
                })
                .catch(error => {
                    reject(error);
                });
             },
               onSubmit()
               {
                    this.isLoading = true
                    this.form.location_id = this.entity.id
                    this.form.reste_a_payer = this.reste

                    this.form[!this.editEntry ? 'post':'patch'](!this.editEntry ? '/api/avances/':'/api/avances/'+this.form.id).then((response) => 
                    { 
                       if(this.editEntry)
                       {
        
                         var flux = this.entity.fluxfinances.find( e => e.id== this.form.id)
                         flux = response.flux
                         flash("<span>Avance modifiée <strong>avec succès</strong></span>")
                       }
                       else
                       {
                         this.entity.fluxfinances.unshift(response.flux)
                         flash("<span>Avance ajoutée <strong>avec succès</strong></span>")
                       }
                       this.isLoading = false
                       this.$refs['inputModalAvance'].hide()

                    },
                    (error) => 
                    {
                         this.isLoading = false
                        console.log("Promise Rejected:")
                    });
               }
        },
        watch:
        {
          ModeEdit()
          {
              
          }
        }
    }
</script>
<style lang="scss" scoped>
    .kt-widget.kt-widget--user-profile-1 
    {
        padding-bottom: 1.7rem
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__head 
    {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: start;
        -ms-flex-align: start;
        align-items: flex-start
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__head .kt-widget__media img {
        width: 90px;
        max-width: 100%;
        border-radius: 8px
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__head .kt-widget__content {
        padding-left: 1.6rem
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__head .kt-widget__content .kt-widget__section .kt-widget__username {
        font-size: 1.3rem;
        color: #48465b;
        font-weight: 500
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__head .kt-widget__content .kt-widget__section .kt-widget__username:hover {
        color: #3d94fb;
        -webkit-transition: color .3s ease;
        transition: color .3s ease
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__head .kt-widget__content .kt-widget__section .kt-widget__username i {
        font-size: 1.1rem;
        padding-left: .4rem
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__head .kt-widget__content .kt-widget__section .kt-widget__subtitle {
        font-size: 1;
        display: block;
        padding: .25rem 0 0 0;
        font-weight: 500;
        color: #74788d
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__head .kt-widget__content .kt-widget__action {
        margin-top: 1rem
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__head .kt-widget__content .kt-widget__action .btn {
        margin-right: .4rem;
        font-weight: 600;
        padding: .3rem 1rem
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__content {
        padding: 1.9rem 0 2.1rem 0
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__content .kt-widget__info {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between;
        padding-bottom: .5rem
    }
     .ge-details .nominatif-details {
      
}
     .ge-details i {
    font-size:30px;
}
    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__content .kt-widget__info .kt-widget__label {
        color: #48465b;
        font-weight: 500
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__content .kt-widget__info .kt-widget__data {
        color: #74788d;
        font-weight: 400
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__content .kt-widget__info a.kt-widget__data:hover {
        color: #3d94fb;
        -webkit-transition: color .3s ease;
        transition: color .3s ease
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__content .kt-widget__info:last-child {
        padding-bottom: 0
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__items .kt-widget__item {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between;
        padding: .9rem 1.05rem .9rem .6rem;
        margin: .4rem 0
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__items .kt-widget__item.kt-widget__item--active {
        -webkit-transition: color .3s ease;
        transition: color .3s ease;
        background: #f2f3f7;
        border-radius: 4px
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__items .kt-widget__item.kt-widget__item--active .kt-widget__section .kt-widget__desc {
        color: #3d94fb
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__items .kt-widget__item.kt-widget__item--active .kt-widget__section .kt-widget__icon .kt-svg-icon g [fill] {
        fill: #3d94fb
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__items .kt-widget__item .kt-widget__section .kt-widget__icon svg {
        width: 2rem;
        height: 1.5rem
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__items .kt-widget__item .kt-widget__section .kt-widget__icon .kt-svg-icon g [fill] {
        fill: #74788d
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__items .kt-widget__item .kt-widget__section .kt-widget__desc {
        color: #74788d;
        font-weight: 500;
        padding-left: .3rem
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__items .kt-widget__item:hover {
        -webkit-transition: color .3s ease;
        transition: color .3s ease;
        background: #f2f3f7;
        cursor: pointer;
        border-radius: 4px
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__items .kt-widget__item:hover .kt-widget__desc {
        color: #3d94fb
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__items .kt-widget__item:hover .kt-widget__icon .kt-svg-icon g [fill] {
        fill: #3d94fb
    }

    .kt-portlet__body.kt-portlet__body--fit-y .kt-widget {
        margin-top: -10px
    }

    @media (max-width:1024px) {
        .kt-widget.kt-widget--user-profile-1 {
            padding-bottom: 1.2rem
        }
        .kt-widget.kt-widget--user-profile-1 .kt-widget__head .kt-widget__media img {
            max-width: 60px
        }
        .kt-widget.kt-widget--user-profile-1 .kt-widget__head .kt-widget__content .kt-widget__section .kt-widget__username {
            font-size: 1.1rem;
            color: #48465b;
            font-weight: 500
        }
        .kt-widget.kt-widget--user-profile-1 .kt-widget__head .kt-widget__content .kt-widget__action {
            margin-top: .5rem
        }
        .kt-widget.kt-widget--user-profile-1 .kt-widget__head .kt-widget__content .kt-widget__action .btn {
            margin-right: .4rem;
            font-weight: 500;
            padding: .25rem 1.25rem
        }
        .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__content {
            padding-bottom: 2rem
        }
    }

    .kt-widget.kt-widget--user-profile-2 {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        height: 100%
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        margin-top: -45px
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__media .kt-widget__img {
        max-width: 90px;
        border-radius: 50%
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__media .kt-widget__pic {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        width: 90px;
        height: 90px;
        font-size: 1.5rem;
        border-radius: 50%
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--brand {
        background: rgba(61, 148, 251, .1)
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--light {
        background: rgba(255, 255, 255, .1)
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--dark {
        background: rgba(40, 42, 60, .1)
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--primary {
        background: rgba(88, 103, 221, .1)
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--success {
        background: rgba(29, 201, 183, .1)
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--info {
        background: rgba(39, 134, 251, .1)
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--warning {
        background: rgba(255, 184, 34, .1)
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--danger {
        background: rgba(253, 39, 235, .1)
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__info {
        padding-left: 1rem
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__info .kt-widget__username {
        font-size: 1.4rem;
        color: #48465b;
        font-weight: 500
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__info .kt-widget__username:hover {
        color: #3d94fb;
        -webkit-transition: color .3s ease;
        transition: color .3s ease
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__info .kt-widget__titel {
        font-size: 1.4rem;
        color: #48465b;
        font-weight: 500
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__info .kt-widget__titel:hover {
        color: #3d94fb;
        -webkit-transition: color .3s ease;
        transition: color .3s ease
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__info .kt-widget__desc {
        display: block;
        font-weight: 500;
        font-size: 1.1rem;
        padding-top: .4rem;
        color: #74788d
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body {
        -webkit-box-flex: 1;
        -ms-flex: 1;
        flex: 1
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__section {
        padding: 1rem 0 1rem 0;
        color: #595d6e;
        font-weight: 400
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__section a {
        padding-right: .3rem
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__content {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__content .kt-widget__stats {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-flex: 1;
        -ms-flex-positive: 1;
        flex-grow: 1;
        padding-bottom: 1.7rem
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__content .kt-widget__stats .kt-widget__icon i {
        font-size: 2.7rem;
        color: #a2a5b9;
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__content .kt-widget__stats .kt-widget__details {
        padding-left: 1rem
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__content .kt-widget__stats .kt-widget__details .kt-widget__title {
        display: block;
        color: #595d6e;
        font-weight: 500;
        font-size: .95rem
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__content .kt-widget__stats .kt-widget__details .kt-widget__value {
        display: block;
        color: #48465b;
        font-weight: 600;
        font-size: 1.2rem
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__item {
        padding: .7rem 0
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__item .kt-widget__contact {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between;
        padding-bottom: .5rem
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__item .kt-widget__contact .kt-widget__label {
        color: #48465b;
        font-weight: 600
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__item .kt-widget__contact .kt-widget__data {
        color: #74788d;
        font-weight: 400
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__item .kt-widget__contact a.kt-widget__data:hover {
        color: #3d94fb;
        -webkit-transition: color .3s ease;
        transition: color .3s ease
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__item .kt-widget__contact:last-child {
        padding-bottom: 0
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__footer {
        margin-top: 2rem
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__footer .btn {
        font-size: 1rem;
        font-weight: 600;
        padding: 1.1rem 0;
        width: 100%
    }

    @media (max-width:768px) {
        .kt-widget.kt-widget--user-profile-2 .kt-widget__head {
            margin-top: -30px
        }
        .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__media .kt-widget__img {
            max-width: 60px
        }
        .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__media .kt-widget__pic {
            max-width: 60px;
            max-height: 60px;
            font-size: 1.2rem
        }
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: start;
        -ms-flex-align: start;
        align-items: flex-start
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__media {
        margin-top: .2rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__media img {
        width: 110px;
        border-radius: 8px
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__pic {
        margin-top: .2rem;
        width: 100%;
        max-width: 110px;
        height: 110px;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        font-size: 1.5rem;
        border-radius: 8px
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__pic.kt-widget__pic--brand {
        background: rgba(61, 148, 251, .1)
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__pic.kt-widget__pic--light {
        background: rgba(255, 255, 255, .1)
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__pic.kt-widget__pic--dark {
        background: rgba(40, 42, 60, .1)
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__pic.kt-widget__pic--primary {
        background: rgba(88, 103, 221, .1)
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__pic.kt-widget__pic--success {
        background: rgba(29, 201, 183, .1)
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__pic.kt-widget__pic--info {
        background: rgba(39, 134, 251, .1)
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__pic.kt-widget__pic--warning {
        background: rgba(255, 184, 34, .1)
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__pic.kt-widget__pic--danger {
        background: rgba(253, 39, 235, .1)
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content {
        width: 100%;
        padding-left: 1.7rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__head {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__head .kt-widget__user {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__head .kt-widget__username {
        font-size: 1.3rem;
        color: #48465b;
        font-weight: 500;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        margin-right: .5rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__head .kt-widget__username:hover {
        color: #3d94fb;
        -webkit-transition: color .3s ease;
        transition: color .3s ease
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__head .kt-widget__username i {
        font-size: 1.2rem;
        color: #57c974;
        padding-left: .5rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__head .kt-widget__title {
        font-size: 1.3rem;
        color: #48465b;
        font-weight: 600;
        margin: .8rem 0 .7rem 0
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__head .kt-widget__title:hover {
        color: #3d94fb;
        -webkit-transition: color .3s ease;
        transition: color .3s ease
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__head .kt-widget__action .btn {
        font-weight: 600;
        margin-left: .5rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__subhead {
        padding: .6rem 0 .8rem 0
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__subhead a {
        padding-right: 2rem;
        color: #74788d;
        font-weight: 500
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__subhead a:hover {
        color: #3d94fb;
        -webkit-transition: color .3s ease;
        transition: color .3s ease
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__subhead a i {
        padding-right: .5rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: horizontal;
        -webkit-box-direction: normal;
        -ms-flex-flow: row wrap;
        flex-flow: row wrap
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__desc {
        color: #595d6e;
        font-weight: 400;
        padding-right: 2rem;
        -webkit-box-flex: 1;
        -ms-flex-positive: 1;
        flex-grow: 1;
        margin-bottom: .5rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__progress {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        max-width: 500px;
        width: 100%;
        margin: .1rem 0
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__progress .kt-widget__text {
        padding-right: 1rem;
        color: #595d6e;
        font-weight: 500
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__progress .kt-widget__stats {
        padding-left: 1rem;
        color: #48465b;
        font-weight: 600;
        font-size: 1.1rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__stats {
        margin-bottom: .7rem;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__stats .kt-widget__item {
        padding-top: 1rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__stats .kt-widget__item .kt-widget__date {
        color: #595d6e;
        font-weight: 500;
        padding-bottom: 1rem;
        display: block
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__stats .kt-widget__item .kt-widget__subtitel {
        color: #595d6e;
        font-weight: 500;
        display: block
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__stats .kt-widget__item .kt-widget__progress {
        width: 100%;
        margin: 1.4rem 0 .5rem 0
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__stats .kt-widget__item .kt-widget__progress .kt-widget__stat {
        padding-left: .7rem;
        color: #48465b;
        font-weight: 600
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__stats .kt-widget__item:not(:first-child):not(:last-child) {
        margin: 0 2.2rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__stats .kt-widget__item:last-child {
        padding-left: 1rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__bottom {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        width: 100%;
        border-top: 1px solid #ebedf2;
        margin-top: 2rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__bottom .kt-widget__item {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-flex: 1;
        -ms-flex-positive: 1;
        flex-grow: 1;
        padding: 2rem 1.5rem 0 0
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__bottom .kt-widget__item .kt-widget__icon i {
        font-size: 2.7rem;
        color: #a2a5b9;
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__bottom .kt-widget__item .kt-widget__details {
        padding-left: 1rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__bottom .kt-widget__item .kt-widget__details .kt-widget__title {
        display: block;
        color: #595d6e;
        font-weight: 600;
        font-size: .95rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__bottom .kt-widget__item .kt-widget__details .kt-widget__value {
        display: block;
        color: #48465b;
        font-weight: 600;
        font-size: 1.2rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__bottom .kt-widget__item .kt-widget__details .kt-widget__value span {
        color: #595d6e;
        font-weight: 400
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__bottom .kt-widget__item .kt-widget__details a.kt-widget__value {
        font-size: .95rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__bottom .kt-widget__item .kt-widget__details a.kt-widget__value:hover {
        color: #3d94fb
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__bottom .kt-widget__item .kt-widget__details .kt-section__content {
        padding-left: .7rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__form {
        margin-top: 1.5rem
    }

    @media (max-width:768px) {
        .kt-widget.kt-widget--user-profile-3 {
            padding-top: .5rem
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__top {
            display: -webkit-box;
            display: -ms-flexbox;
            display: flex;
            -webkit-box-align: start;
            -ms-flex-align: start;
            align-items: flex-start
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__media {
            margin-top: .5rem
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__media img {
            max-width: 60px
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__pic {
            width: 60px;
            height: 60px;
            margin-top: .5rem;
            font-size: 1.3rem
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content {
            padding-left: 1rem;
            margin-top: 0
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__head .kt-widget__username {
            padding-bottom: .6rem
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__subhead {
            padding: 1.2rem 0
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__subhead a:not(:first-child):not(:last-child) {
            padding: .5rem 1rem .5rem 0
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info {
            display: -webkit-box;
            display: -ms-flexbox;
            display: flex;
            -webkit-box-orient: vertical;
            -webkit-box-direction: normal;
            -ms-flex-direction: column;
            flex-direction: column
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__desc {
            padding-bottom: 1rem
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__progress {
            width: 100%
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__bottom {
            padding-top: 1rem
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__bottom .kt-widget__item {
            padding: 1rem 1rem 0 0
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__bottom .kt-widget__item .kt-widget__icon i {
            font-size: 2.5rem
        }
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head {
        margin-top: 1rem
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__media {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__media .kt-widget__img {
        max-width: 90px;
        max-height: 90px;
        border-radius: 50%
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__media .kt-widget__pic {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        width: 90px;
        height: 90px;
        font-size: 1.5rem;
        border-radius: 50%
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--brand {
        background: rgba(61, 148, 251, .1)
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--light {
        background: rgba(255, 255, 255, .1)
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--dark {
        background: rgba(40, 42, 60, .1)
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--primary {
        background: rgba(88, 103, 221, .1)
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--success {
        background: rgba(29, 201, 183, .1)
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--info {
        background: rgba(39, 134, 251, .1)
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--warning {
        background: rgba(255, 184, 34, .1)
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--danger {
        background: rgba(253, 39, 235, .1)
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__content .kt-widget__section .kt-widget__username {
        text-align: center;
        display: block;
        padding: .8rem 0 .6rem 0;
        font-size: 1.3rem;
        color: #48465b;
        font-weight: 500
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__content .kt-widget__section .kt-widget__username:hover {
        color: #3d94fb;
        -webkit-transition: color .3s ease;
        transition: color .3s ease
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__content .kt-widget__section .kt-widget__button {
        text-align: center
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__content .kt-widget__section .kt-widget__button .btn {
        font-weight: 600;
        padding: .3rem .8rem
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__content .kt-widget__section .kt-widget__action {
        text-align: center;
        margin-top: 2.3rem
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__content .kt-widget__section .kt-widget__action>.btn-label-warning:hover {
        color: #fff
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__content .kt-widget__section .kt-widget__action .btn:not(:first-child):not(:last-child) {
        margin: 0 1rem
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__body {
        margin-top: 2.5rem
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__body .kt-widget__item {
        display: block;
        text-align: center;
        color: #595d6e;
        font-weight: 500;
        font-size: 1.1rem;
        padding: .9rem 0;
        margin: .4rem 0
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__body .kt-widget__item:hover {
        color: #3d94fb;
        -webkit-transition: color .3s ease;
        transition: color .3s ease;
        background: #edf0fc;
        cursor: pointer;
        border-radius: 4px
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__body .kt-widget__item.kt-widget__item--active {
        -webkit-transition: color .3s ease;
        transition: color .3s ease;
        background: #edf0fc;
        color: #3d94fb;
        border-radius: 4px
    }

    @media (max-width:768px) {
        .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__media .kt-widget__img {
            max-width: 80px;
            max-height: 80px
        }
        .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__media .kt-widget__pic {
            max-width: 80px;
            max-height: 80px;
            font-size: 1.2rem
        }
    }

    .kt-widget.kt-widget--users .kt-widget__item {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        margin: 1.3rem 0 2.3rem 0
    }

    .kt-widget.kt-widget--users .kt-widget__item .kt-media img {
        width: 100%;
        max-width: 43px;
        height: 43px
    }

    .kt-widget.kt-widget--users .kt-widget__item:last-child {
        margin-bottom: 0
    }

    .kt-widget.kt-widget--users .kt-widget__item .kt-widget__info {
        padding-top: .1rem;
        -webkit-box-flex: 3;
        -ms-flex: 3;
        flex: 3;
        margin-left: 1rem
    }

    .kt-widget.kt-widget--users .kt-widget__item .kt-widget__info .kt-widget__section {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center
    }

    .kt-widget.kt-widget--users .kt-widget__item .kt-widget__info .kt-widget__section .kt-widget__username {
        font-size: 1.1rem;
        color: #48465b;
        font-weight: 500
    }

    .kt-widget.kt-widget--users .kt-widget__item .kt-widget__info .kt-widget__section .kt-widget__username:hover {
        color: #3d94fb;
        -webkit-transition: color .3s ease;
        transition: color .3s ease
    }

    .kt-widget.kt-widget--users .kt-widget__item .kt-widget__info .kt-widget__section .kt-badge {
        margin-left: .5rem
    }

    .kt-widget.kt-widget--users .kt-widget__item .kt-widget__info .kt-widget__desc {
        display: block;
        color: #74788d;
        font-weight: 500
    }

    .kt-widget.kt-widget--users .kt-widget__item .kt-widget__action {
        text-align: right;
        padding-top: .2rem;
        -webkit-box-flex: 1.1;
        -ms-flex: 1.1;
        flex: 1.1
    }

    .kt-widget.kt-widget--users .kt-widget__item .kt-widget__action .kt-widget__date {
        display: block;
        color: #74788d;
        font-weight: 500
    }

    @media (max-width:1024px) {
        .kt-widget.kt-widget--users .kt-widget__item .kt-widget__info {
            -webkit-box-flex: 1.5;
            -ms-flex: 1.5;
            flex: 1.5
        }
        .kt-widget.kt-widget--users .kt-widget__item .kt-widget__action {
            -webkit-box-flex: 1;
            -ms-flex: 1;
            flex: 1
        }
    }

    .kt-widget.kt-widget--project-1 {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        height: calc(100% + 20px)
    }

    .kt-widget.kt-widget--project-1 .kt-widget__head {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        padding: 25px
    }

    .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__label {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex
    }

    .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__label .kt-widget__media .kt-media .kt-widget__icon {
        max-width: 62px;
        height: 62px;
        margin-top: -.5rem;
        margin-left: -.5rem
    }

    .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__label .kt-widget__media .kt-media img {
        width: 65px
    }

    .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__label .kt-widget__media.kt-widget__media--m {
        margin-top: 1.5px
    }

    .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__label .kt-widget__info {
        padding: .25rem 0 0 1rem
    }

    .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__label .kt-widget__info .kt-widget__title {
        font-size: 1.3rem;
        color: #48465b;
        font-weight: 600
    }

    .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__label .kt-widget__info .kt-widget__title:hover {
        color: #3d94fb;
        -webkit-transition: color .3s ease;
        transition: color .3s ease
    }

    .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__label .kt-widget__info .kt-widget__desc {
        padding-top: .4rem;
        color: #595d6e;
        font-weight: 500;
        display: block
    }

    .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__toolbar {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: start;
        -ms-flex-align: start;
        align-items: flex-start
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body {
        padding: 25px;
        height: 100%;
        padding-top: 0!important
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__stats {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__stats .kt-widget__item {
        padding-top: 1rem
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__stats .kt-widget__item .kt-widget__date {
        color: #595d6e;
        font-weight: 500;
        padding-bottom: 1rem;
        display: block
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__stats .kt-widget__item .kt-widget__subtitel {
        color: #595d6e;
        font-weight: 500;
        display: block
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__stats .kt-widget__item .kt-widget__progress {
        width: 100%;
        margin: 1.4rem 0 .5rem 0
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__stats .kt-widget__item .kt-widget__progress .kt-widget__stat {
        padding-left: .7rem;
        color: #48465b;
        font-weight: 600
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__stats .kt-widget__item:not(:first-child):not(:last-child) {
        margin: 0 2.2rem
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__stats .kt-widget__item:last-child {
        padding-left: 1rem
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__container {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        margin: 2.7rem 0 1.2rem 0
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__container .kt-widget__subtitel {
        color: #595d6e;
        font-weight: 500
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__container .kt-widget__progress {
        width: 100%;
        margin: 0 1rem
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__container .kt-widget__progress .kt-widget__stat {
        padding-left: .7rem;
        color: #48465b;
        font-weight: 600
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__text {
        color: #595d6e;
        font-weight: 500;
        margin-top: 2.7rem;
        display: block
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__content {
        padding: 1rem 0 1.3rem 0;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__content .kt-widget__details {
        margin-right: 3.7rem;
        padding-top: 1rem;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__content .kt-widget__details .kt-widget__subtitle {
        color: #595d6e;
        font-weight: 600;
        padding-bottom: 1.1rem
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__content .kt-widget__details .kt-widget__value {
        color: #48465b;
        font-weight: 600;
        font-size: 1.2rem
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__content .kt-widget__details .kt-widget__value span {
        color: #74788d
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__content .kt-widget__details .kt-badge {
        margin: .3rem 0 0 7px
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__content .kt-widget__details:last-child {
        margin-right: 0
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__content .kt-widget__details:last-child .kt-widget__subtitle {
        margin-top: 0
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__content .kt-widget__details .kt-media-group {
        margin-top: -.5rem
    }

    .kt-widget.kt-widget--project-1 .kt-widget__footer {
        border-top: 1px solid #ebedf2;
        width: 100%
    }

    .kt-widget.kt-widget--project-1 .kt-widget__footer .kt-widget__wrapper {
        padding: 25px;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center
    }

    .kt-widget.kt-widget--project-1 .kt-widget__footer .kt-widget__wrapper .kt-widget__section {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center
    }

    .kt-widget.kt-widget--project-1 .kt-widget__footer .kt-widget__wrapper .kt-widget__section .kt-widget__blog {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center
    }

    .kt-widget.kt-widget--project-1 .kt-widget__footer .kt-widget__wrapper .kt-widget__section .kt-widget__blog i {
        font-size: 1.3rem;
        color: #d2d8e8
    }

    .kt-widget.kt-widget--project-1 .kt-widget__footer .kt-widget__wrapper .kt-widget__section .kt-widget__blog .kt-widget__value {
        font-weight: 700;
        padding-left: .6rem
    }

    .kt-widget.kt-widget--project-1 .kt-widget__footer .kt-widget__wrapper .kt-widget__section .kt-widget__blog:last-child {
        padding-left: 1.7rem
    }

    @media (max-width:1024px) {
        .kt-widget.kt-widget--project-1 .kt-widget__head {
            padding-bottom: 1rem;
            padding: 15px
        }
        .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__media .kt-media img {
            width: 100%;
            max-width: 50px;
            height: 50px
        }
        .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__media .kt-media span {
            width: 50px;
            height: 50px;
            font-size: 1.2rem
        }
        .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__media .kt-media.kt-media--fixed {
            width: 50px;
            height: 50px
        }
        .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__media .kt-media.kt-media--fixed img {
            width: 50px;
            height: 50px;
            max-width: auto
        }
        .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__media .kt-media img {
            width: 50px
        }
        .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__media .kt-media.kt-media--md img {
            width: 100%;
            max-width: 45px;
            height: 45px
        }
        .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__media .kt-media.kt-media--md span {
            width: 45px;
            height: 45px;
            font-size: 1rem
        }
        .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__media .kt-media.kt-media--md.kt-media--fixed {
            width: 45px;
            height: 45px
        }
        .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__media .kt-media.kt-media--md.kt-media--fixed img {
            width: 45px;
            height: 45px;
            max-width: auto
        }
        .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__media .kt-media.kt-media--md img {
            width: 47px
        }
        .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__media .kt-media .kt-widget__icon {
            margin-top: -.7rem;
            width: 62px
        }
        .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__media.kt-widget__media--m {
            margin-top: 1px
        }
        .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__info {
            padding: .2rem 0 0 1rem
        }
        .kt-widget.kt-widget--project-1 .kt-widget__body {
            padding: 15px
        }
        .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__stats .kt-widget__item:not(:first-child):not(:last-child) {
            margin: 0 1.5rem
        }
        .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__stats .kt-widget__item:last-child {
            padding-left: 0
        }
        .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__text {
            margin-top: 1.5rem;
            margin-bottom: 1rem
        }
        .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__content {
            padding: .5rem 0 1rem 0
        }
        .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__content .kt-widget__details {
            margin-right: 1.2rem
        }
        .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__content .kt-widget__details:last-child {
            margin-right: 0
        }
        .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__content .kt-widget__details:last-child .kt-widget__subtitle {
            margin-top: 0
        }
        .kt-widget.kt-widget--project-1 .kt-widget__footer .kt-widget__wrapper {
            padding: 15px
        }
        .kt-widget.kt-widget--project-1 .kt-widget__footer .kt-widget__wrapper .kt-widget__section {
            padding-right: 1rem
        }
        .kt-widget.kt-widget--project-1 .kt-widget__footer .kt-widget__wrapper .kt-widget__section .kt-widget__blog .kt-widget__value {
            padding-left: .4rem
        }
        .kt-widget.kt-widget--project-1 .kt-widget__footer .kt-widget__wrapper .kt-widget__section .kt-widget__blog:last-child {
            padding-left: 1.2rem
        }
    }
    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__desc .title-custom
    {
        font-size: 1.3rem !important;
        color: #48465b;
        font-weight: 600;
        margin: 0.8rem 0 0.7rem 0;
    }

    .kt-wizard-v3__content {
    padding-bottom: 2rem;
    margin-bottom: 2rem;
    border-bottom: 1px solid #eeeef4;
}
.kt-heading.kt-heading--md {
    font-size: 1.4rem;
}
.kt-wizard-v3__review .kt-wizard-v3__review-item {
    padding-bottom: 1rem;
    margin-bottom: 1rem;
    border-bottom: 1px solid #eeeef4;
}
.kt-wizard-v3__review .kt-wizard-v3__review-item .kt-wizard-v3__review-title {
    font-weight: 600;
    font-size: 1.1rem;
    margin-bottom: .7rem;
}
 .kt-wizard-v3__review .kt-wizard-v3__review-item .kt-wizard-v3__review-content {
    line-height: 1.8rem;
}
.dropdown-menu.show {
    display: block;
    left: -15px !important;
}
</style>